PUT
/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}
http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}Updates a VOD source's configuration.
Access Token Required: API Key
Path Parameters
SourceLocationNamestringrequired
The name of the source location associated with this VOD Source.
VodSourceNamestringrequired
The name of the VOD source.
Body Params
HttpPackageConfigurationsarrayrequired
The VOD source's HTTP package configuration settings.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://api.mediatailor.{region}.amazonaws.com/sourceLocation/{SourceLocationName}/vodSource/{VodSourceName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}